.lines-1 {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
.lines-2 {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;

    height: 2em;
}
.lines-3 {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
.lines-4 {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}
.lines-5 {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
}


.lh-08 {
    line-height: 0.8;
}


.fw-extrabold {
    font-weight: 800 !important;
}
.fw-black {
    font-weight: 900 !important;
}
.fs-5-alt {
    font-size: 1.125rem !important;
}
.fs-7 {
    font-size: 0.9rem;
}
.fs-8 {
    font-size: 0.8rem;
}
.fs-9 {
    font-size: 0.7rem;
}
.fs-10 {
    font-size: 0.6rem;
}

.m-negative-1 {
    margin: -.25rem !important;
}
.m-negative-2 {
    margin: -.50rem !important;
}
.m-negative-3 {
    margin: -0.75rem !important;
}


.btn-xl {
    padding: 1.25rem 2.5rem;
    font-size: 1.25rem;
}


/* Apply SMALL button style from LG and up */
@media (min-width: 992px) {
    .btn-sm-lg {
        padding: 0.25rem 0.5rem;
        font-size: 0.875rem;
        line-height: 1.5;
        border-radius: 0.2rem;
    }
}

/* Apply SMALL button style from XL and up */
@media (min-width: 1200px) {
    .btn-sm-xl {
        padding: 0.25rem 0.5rem;
        font-size: 0.875rem;
        line-height: 1.5;
        border-radius: 0.2rem;
    }
}

/* Apply LARGE button style from LG and up */
@media (min-width: 992px) {
    .btn-lg-lg {
        padding: 0.5rem 1rem;
        font-size: 1.25rem;
        line-height: 1.5;
        border-radius: 0.3rem;
    }
}

/* Apply LARGE button style from XL and up */
@media (min-width: 1200px) {
    .btn-lg-xl {
        padding: 0.5rem 1rem;
        font-size: 1.25rem;
        line-height: 1.5;
        border-radius: 0.3rem;
    }
}

.btn-outline-black {
    --bs-btn-color: #000;
    --bs-btn-border-color: #000;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #000;
    --bs-btn-hover-border-color: #000;
    --bs-btn-focus-shadow-rgb: 0, 0, 0;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #000;
    --bs-btn-active-border-color: #000;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #000;
    --bs-gradient: none;
}

.btn-outline-dark {
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--bs-dark);
    --bs-btn-active-border-color: var(--bs-dark);
}
